%global pypi_name imagesize
%global sum  Python module for analyzing image file headers and returning image sizes

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        4%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/shibukawa/imagesize_py
#Source0:        https://files.pythonhosted.org/packages/source/i/%%{pypi_name}/%%{pypi_name}-%%{version}.tar.gz
# PyPi source does not include test image files, pull from github until next release
Source0:        https://github.com/shibukawa/imagesize_py/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  python-pytest

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description 
The imagesize package parses image file headers and returns the image sizes.

* PNG
* JPEG
* JPEG2000
* GIF

This is a pure Python library.

%package -n     python3-%{pypi_name}
Summary:        %{sum}

%description -n python3-%{pypi_name}
The imagesize package parses image file headers and returns the image sizes.

* PNG
* JPEG
* JPEG2000
* GIF

This is a pure Python library.

%prep
%autosetup -n %{pypi_name}_py-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cd ..
cp -a %{pypi_name}_py-%{version} python2
cp -a %{pypi_name}_py-%{version} python3
%build
cd ..
pushd python2
%{__python2} setup.py build
popd
pushd python3
%{__python3} setup.py build
popd

%install
cd ..
pushd python2
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd
pushd python3
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%check
py.test

%files -n python-%{pypi_name}
%doc README.rst
%license LICENSE.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Dec 13 2016 Stratakis Charalampos <cstratak@redhat.com> - 0.7.1-4
- Enable tests

* Fri Dec 09 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.7.1-3
- Rebuild for Python 3.6
- Disable python3 tests

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu May 26 2016 Avram Lubkin <aviso@rockhopper.net> - 0.7.1-1
- Initial package.
